<template>
	<div style="">
		<el-checkbox-group v-model="checkList">
			<el-checkbox v-for="(item, index) in labelList" :key="index" :label="item.lable
				" :checked="item.checked" @change="changeCheck(item, index)"></el-checkbox>
		</el-checkbox-group>
	</div>
</template>

<script>
export default {
	props: {
		labelList: {
			type: Array,
			default: () => []
		}
	},
	data() {
		return {
			checkList: []
		};
	},
	methods: {
		//更改选中回调
		changeCheck(val, index) {
			this.$emit('input', this.checkList);
		}
	},
	watch: {

	},
	mounted() {
	}
}

</script>

<style></style>
